#### D.8.3.6 fglm_solve

Procedure from library `solve.lib` (see solve_lib).

Usage:
  fglm_solve(i [, p] ); i ideal, p integer

Assume:
  the ground field has char 0.

Return:
  ring `R` with the same number of variables but with complex coefficients (and precision p). `R` comes with a list `rlist` of numbers, in which the complex roots of i are stored.
  p>0: gives precision of complex numbers in decimal digits [default: p=30].

Note:
  The procedure uses a standard basis of i to determine all complex roots of i.

Example:

    LIB "solve.lib";
    ring r = 0,(x,y),lp;
    // compute the intersection points of two curves
    ideal s =  x2 + y2 - 10, x2 + xy + 2y2 - 16;
    def R = fglm_solve(s,10);
    ==>
    ==> // 'fglm_solve' created a ring, in which a list rlist of numbers (the
    ==> // complex solutions) is stored.
    ==> // To access the list of complex solutions, type (if the name R was assig\
       ned
    ==> // to the return value):
    ==>         setring R; rlist;
    setring R; rlist;
    ==> [1]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       -3
    ==> [2]:
    ==>    [1]:
    ==>       -2.8284271247
    ==>    [2]:
    ==>       -1.4142135624
    ==> [3]:
    ==>    [1]:
    ==>       2.8284271247
    ==>    [2]:
    ==>       1.4142135624
    ==> [4]:
    ==>    [1]:
    ==>       -1
    ==>    [2]:
    ==>       3

User manual for Singular version 4-0-3, 2016, generated by texi2html.